Debian Bug report logs - #488796
system-tools-backends: No need to stop in runlevels 0 and 6

version graph

Package: system-tools-backends; Maintainer for system-tools-backends is Jose Carlos Garcia Sogo <jsogo@debian.org>; Source for system-tools-backends is src:system-tools-backends.

Reported by: James Westby <jw+debian@jameswestby.net>

Date: Tue, 1 Jul 2008 10:54:05 UTC

Severity: wishlist

Tags: patch

Found in version system-tools-backends/2.6.0-1

Fixed in version 2.6.0-3

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488796; Package system-tools-backends. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
New Bug report received and forwarded. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: submit@bugs.debian.org
Subject: system-tools-backends: No need to stop in runlevels 0 and 6
Date: Tue, 01 Jul 2008 11:55:20 +0100
[Message part 1 (text/plain, inline)]
Package: system-tools-backends
Version: 2.6.0-1
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu intrepid ubuntu-patch

Hi,

Given that in runlevels 0 and 6 there is an init script that terminates
all running processes it is a waste to run an init script for each
process before that. In Ubuntu we remove the scripts that do nothing
more than terminate a process, and rely on the final script to clean up
the running processes. Please see

  https://wiki.ubuntu.com/Teardown

for more information.

Attached is a patch to do this for Debian. Please consider applying it.

Note that the version number in the system-tools-backends should be
adjusted to be the version number of whatever version this patch
is applied. Please also double check the names of the symlinks that
are being removed.

Thanks,

James

[shutdown.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488796; Package system-tools-backends. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #10 received at 488796@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: James Westby <jw+debian@jameswestby.net>, 488796@bugs.debian.org
Cc: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>
Subject: Not stopping daemons, where are we?
Date: Tue, 01 Jul 2008 13:29:50 +0200
[Message part 1 (text/plain, inline)]
Le mardi 01 juillet 2008 à 11:55 +0100, James Westby a écrit :
> Given that in runlevels 0 and 6 there is an init script that terminates
> all running processes it is a waste to run an init script for each
> process before that. In Ubuntu we remove the scripts that do nothing
> more than terminate a process, and rely on the final script to clean up
> the running processes. 

I don’t think there has been any decision on this topic. I don’t have
anything against such a move, but I think we need a clear consensus on
whether this is a good idea.

-- 
 .''`.
: :' :      We are debian.org. Lower your prices, surrender your code.
`. `'       We will add your hardware and software distinctiveness to
  `-        our own. Resistance is futile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488796; Package system-tools-backends. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #15 received at 488796@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>
Cc: 488796 <488796@bugs.debian.org>
Subject: Re: Not stopping daemons, where are we?
Date: Tue, 01 Jul 2008 11:44:15 +0000
On Tue, 2008-07-01 at 13:29 +0200, Josselin Mouette wrote:
> Le mardi 01 juillet 2008 à 11:55 +0100, James Westby a écrit :
> > Given that in runlevels 0 and 6 there is an init script that terminates
> > all running processes it is a waste to run an init script for each
> > process before that. In Ubuntu we remove the scripts that do nothing
> > more than terminate a process, and rely on the final script to clean up
> > the running processes. 
> 
> I don’t think there has been any decision on this topic. I don’t have
> anything against such a move, but I think we need a clear consensus on
> whether this is a good idea.
> 

Originally Ubuntu took an approach "multiuser" that was not accepted in
to Debian. This approach has now been deprecated in favour of the one
that the patch I sent uses.

As I understand it, there is nothing magic about the approach taken, it
just doesn't install the symlinks for rc0.d and rc6.d, and expects that
the process will be cleaned up. It also reflects this in the LSB
headers, so systems which use that information should also do the same
thing.

https://wiki.ubuntu.com/Teardown
https://lists.ubuntu.com/archives/ubuntu-devel-announce/2008-June/000430.html
http://lists.debian.org/debian-devel/2008/01/msg00007.html

>From reviewing the last thread again I realise that my patch still stops
at 20 in runlevel one. Depending on the outcome of this discussion we 
may want to discuss that for this specific case in the bug report.

Thanks,

James





Information forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488796; Package system-tools-backends. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #20 received at 488796@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Josselin Mouette <joss@debian.org>
Cc: James Westby <jw+debian@jameswestby.net>, 488796@bugs.debian.org, "debian-devel@lists.debian.org" <debian-devel@lists.debian.org>
Subject: Re: Not stopping daemons, where are we?
Date: Tue, 1 Jul 2008 15:35:03 -0300
On Tue, 01 Jul 2008, Josselin Mouette wrote:
> Le mardi 01 juillet 2008 à 11:55 +0100, James Westby a écrit :
> > Given that in runlevels 0 and 6 there is an init script that terminates
> > all running processes it is a waste to run an init script for each
> > process before that. In Ubuntu we remove the scripts that do nothing
> > more than terminate a process, and rely on the final script to clean up
> > the running processes. 
> 
> I don???t think there has been any decision on this topic. I don???t have
> anything against such a move, but I think we need a clear consensus on
> whether this is a good idea.

To put it buntly: it is a per-package choice.  Some daemons benefit from
more time for cleanups, some initscripts do extra cleanup.  While some
don't, and really have no reason to need anything else than the killall5
-TERM will do.

AFAIK, bugs were filled on packages that only simply stop daemons asking for
the maintainers to check if they could forego the stop hook on runlevels 0
and 6.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 12 Mar 2009 02:33:03 GMT) Full text and rfc822 format available.

Notification sent to James Westby <jw+debian@jameswestby.net>:
Bug acknowledged by developer. (Thu, 12 Mar 2009 02:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 488796-done@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 488796-submitter@bugs.debian.org, 488796-done@bugs.debian.org
Subject: fixed by using dbus activation
Date: Thu, 12 Mar 2009 03:32:22 +0100
[Message part 1 (text/plain, inline)]
Version: 2.6.0-3

As s-t-b is now started on demand and no longer ships any init scripts, I think
this bug can be closed.
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Message sent on to James Westby <jw+debian@jameswestby.net>:
Bug#488796. (Thu, 12 Mar 2009 02:33:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Apr 2009 07:32:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 03:09:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.